import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/jgorsett/6492ab1253c04167d1639c4ced71b3bf/raw/7220e9860d9e1ef264f785fa1dfc7dc11bb95841/hotaling_cocktails%2520-%2520Cocktails%2520-%2520Parsed%2520Ingredients.csv';
export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
     d.IngredientCount = +d.IngredientCount;
      return d;
    };
    
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};